From: Milan Broz <mbroz@redhat.com>

Use md struct in bi_private in cloned bios instead of bioset struct.

Signed-off-by: Milan Broz <mbroz@redhat.com>
---
 drivers/md/dm.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

[AGK This patch is not necessary.]

Index: linux/drivers/md/dm.c
===================================================================
--- linux.orig/drivers/md/dm.c	2007-07-11 14:36:24.000000000 +0100
+++ linux/drivers/md/dm.c	2007-07-11 14:36:36.000000000 +0100
@@ -534,7 +534,7 @@ static int clone_endio(struct bio *bio, 
 	/*
 	 * Store md for cleanup instead of tio which is about to get freed.
 	 */
-	bio->bi_private = md->bs;
+	bio->bi_private = md;
 
 	bio_put(bio);
 	free_tio(md, tio);
@@ -599,7 +599,7 @@ static void __map_bio(struct dm_target *
 		/*
 		 * Store bio_set for cleanup.
 		 */
-		clone->bi_private = md->bs;
+		clone->bi_private = md;
 		bio_put(clone);
 		free_tio(md, tio);
 	} else if (r) {
@@ -620,9 +620,9 @@ struct clone_info {
 
 static void dm_bio_destructor(struct bio *bio)
 {
-	struct bio_set *bs = bio->bi_private;
+	struct mapped_device *md = bio->bi_private;
 
-	bio_free(bio, bs);
+	bio_free(bio, md->bs);
 }
 
 /*
